/*
	MyHelloWindow.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWindow.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef _APPLICATION_H
#include <Application.h>
#endif
#ifndef MY_HELLO_WINDOW_H
#include "MyHelloWindow.h"
#endif

// *** NEW
// The following var declarations and const definitions don't *have*
// to appear here - they could be within the MyHelloWindow constructor
// closer to where the button is created. However, if several buttons
// are to be created (and in future examples they will be), then grouping
// all the button boundary rectangles and button names together makes it
// easier to lay out the buttons and to supply them with logical names
BRect  buttonBeep1Rect(20.0, 105.0, 110.0, 135.0);
const char* buttonBeep1Name = "Beep1";
const char* buttonBeep1Label = "Beep One";
// *** NEW
BRect  textNewTitleRect(20.0, 60.0, 260.0, 90.0);
const char* textNewTitleName = "TextTitle";
const char* textNewTitleLabel = "Enter New Button Name:";
const char* textNewTitleText = "Beep Me!";
// *** NEW

/*
My FYI:

  BTextControl(	BRect frame, 
  				const char *name, 
         		const char *label, 
         		const char *text, 
         		BMessage *message, 
         		uint32 resizingMode = B_FOLLOW_LEFT | B_FOLLOW_TOP, 
         		uint32 flags = B_WILL_DRAW | B_NAVIGABLE) 

  BControl(		BRect frame, 
  				const char *name, 
         		const char *label, 
         		xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx initial text in the text box
         		BMessage *message, 
         		uint32 resizingMode, 
         		uint32 flags) 

*/


MyHelloWindow::MyHelloWindow(BRect frame)
    : BWindow(frame, "My Hello", B_TITLED_WINDOW, B_NOT_RESIZABLE)
{
    frame.OffsetTo(B_ORIGIN);
    fMyView = new MyDrawView(frame, "MyDrawView");
    AddChild(fMyView);

	fButtonBeep1 = new BButton(	buttonBeep1Rect, 
								buttonBeep1Name, 
								buttonBeep1Label, 
								new BMessage(BUTTON_BEEP_1_MSG));
	fMyView->AddChild(fButtonBeep1);

// *** NEW

	fTextNewTitle = new BTextControl(	textNewTitleRect, 
								textNewTitleName, 
								textNewTitleLabel, 
								textNewTitleText,
								new BMessage(TEXT_NEW_TITLE_MSG));
	fMyView->AddChild(fTextNewTitle);
// *** NEW

    Show();
}


bool MyHelloWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return(TRUE);
}

// *** NEW
void MyHelloWindow::MessageReceived(BMessage* message)
{
	switch(message->what)
	{
		case BUTTON_BEEP_1_MSG:
			const char *textFieldText;
			
		  	beep();
		  	textFieldText = fTextNewTitle->Text();
		  	fButtonBeep1->SetLabel(textFieldText);
		  	break;

		case TEXT_NEW_TITLE_MSG:
			// When the text box is the focus view (the I-beam will be in it),
			// the text box is capable of sending a message when:
			// The Return, Enter, or Tab key is pressed AND
			// the text in the text box has been altered
			// (I determined this from testing under the debugger)
			// If a message is sent, the button label will be returned to
			// its original string:
		  	fButtonBeep1->SetLabel("Beep One");
		  	break;
		  	
		default:
			BWindow::MessageReceived(message);
	}
}
// *** NEW
