/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif


// If the window is resizable, then we need to change the resizingMode argument.
// If we leave it at B_FOLLOW_ALL, then when the window is made larger, the view
// grows in size. Each "growth" generates a call to Draw(), and the view boundary
// is redrawn to its new, bigger size. This results in a series of framed rectangles!
// Screen dump 2 shows this phenomenon.
// By using B_FOLLOW_NONE, the view remains fixed in the window. Resizing the window
// has no effect on the placement of the view.
// Screen dump 3 shows this.
// The next example project shows another value for resizingMode
// (it shows B_FOLLOW_RIGHT or'ed with B_FOLLOW_BOTTOM)

MyDrawView::MyDrawView(BRect rect, char *name)
//    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
    : BView(rect, name, B_FOLLOW_NONE, B_WILL_DRAW)
{
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(12);
}


void MyDrawView::Draw(BRect)
{
	BRect  frame = Bounds();
	
	StrokeRect(frame);
}











