/*
	MyHelloWindow.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWindow.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef _APPLICATION_H
#include <Application.h>
#endif
#ifndef MY_HELLO_WINDOW_H
#include "MyHelloWindow.h"
#endif

// ******** NEW
#define   MENU_BAR_HEIGHT   18.0


BRect       buttonBeepRect(15.0, 155.0, 110.0, 185.0);
const char* buttonBeepName = "Beep1";
const char* buttonBeepLabel = "Beep One";


MyHelloWindow::MyHelloWindow(BRect frame)
    : BWindow(frame, "My Hello", B_TITLED_WINDOW, B_NOT_ZOOMABLE)
{
// ******* NEW (and VERY necessary! view needs to start below the menu bar)
//  Use this code (the next two lines of code) in the initial example (P01). 
//  In these later examples I'm not having the view occupy the entire window.
      frame.OffsetTo(B_ORIGIN);
      frame.top += MENU_BAR_HEIGHT + 1.0;
// ******* NEW **********************************************************

    fMyView = new MyDrawView(frame, "MyDrawView");
    AddChild(fMyView);

	BMenu		*menu;
//	BMenuItem	*menuItem;      don't need this for this first example
	BRect		menuBarRect;

  	// *ME: defining a rectangle to initially hold the menu bar
	menuBarRect.Set(0.0, 0.0, 10000.0, MENU_BAR_HEIGHT);
	fMenuBar = new BMenuBar(menuBarRect, "MenuBar");
	AddChild(fMenuBar);
	
	menu = new BMenu("Audio");
	fMenuBar->AddItem(menu);

	menu->AddItem(new BMenuItem("Beep Once", new BMessage(MENU_BEEP_1_MSG)));

	// NOTE: Other examples add menu to menu bar first, then add menu items.
	// Apparently it works either way. Point this out. I'm choosing to create
	// a new menu, add all the items to it, then add the menu to the menu bar.
	// After one menu is complete, I move on to the next.


    Show();

// NOTE:  Here's another menu topic to cover. After this example, have another
//        example that stores the menu bar as a window data member.
//        The FontChart example program stores fMenuBar data member in the window 
//        class, then uses it to enable/disable a menu item at any time 
//        (using FindItem())

}


bool MyHelloWindow::QuitRequested()
{
    be_app->PostMessage(B_QUIT_REQUESTED);

    return(true);
}


void MyHelloWindow::MessageReceived(BMessage* message)
{

	switch(message->what)
	{
		case MENU_BEEP_1_MSG:
		  	beep();
		  	break;

		default:
			BWindow::MessageReceived(message);
	}
}
